{{/* vim: set filetype=mustache: */}}
{{/*
Expand the name of the chart.
*/}}
{{- define "name" -}}
{{- default .Chart.Name .Values.nameOverride | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{/*
Create a default fully qualified app name.
We truncate at 63 chars because some Kubernetes name fields are limited to this (by the DNS naming spec).
*/}}
{{- define "fullname" -}}
{{- $name := default .Chart.Name .Values.nameOverride -}}
{{- printf "%s-%s" .Release.Name $name | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{/*
Recommended labels (https://kubernetes.io/docs/concepts/overview/working-with-objects/common-labels/)
*/}}
{{- define "recommendedlabels" -}}
app.kubernetes.io/name: {{ .Chart.Name }}
app.kubernetes.io/version: {{ .Chart.Version }}
app.kubernetes.io/managed-by: {{ default "jx" .Values.recommendedLabels.managedBy }}
app.kubernetes.io/component: {{ default "not-defined" .Values.recommendedLabels.component }}
app.kubernetes.io/instance: {{ default "not-defined" .Values.recommendedLabels.instance }}
app.kubernetes.io/part-of: {{ default "not-defined" .Values.recommendedLabels.partOf }}
app.kubernetes.io/environment-label: {{ default "not-defined" .Values.global.environmentLabel }}
{{- end -}} 

