const { spawnSync } = require('child_process');
const { unlinkSync, writeFileSync, copyFileSync } = require('fs');

class HttpService {

  constructor() {
    this.port = 80;
    this.currentService = '';
    
  }

  systemctl(action, service = '') {
    const systemCtl = spawnSync('systemctl', [action, service]);
    if (systemCtl && systemCtl.stderr && systemCtl.stderr.toString()) {
      throw new Error(systemCtl.stderr.toString());
    }
    return systemCtl.stdout.toString().trim();
  }

  canUseService() {
    try {
      this.systemctl('-h');
      console.log('Maintance service is available');
      if (this.isEnabled('nginx')) {
        this.currentService = 'nginx';
      } else if (this.isEnabled('httpd')) {
        this.currentService = 'httpd';
      } else if (this.isEnabled('apache2')) {
        this.currentService = 'apache2';
      } else {
        throw new Error('no active http service found');
      }
      return true;
    } catch (err) {
      console.error(err)
      console.log('Maintance service is unavailable');
      return false;
    }
  }

  isEnabled(service) {
    try {
      return this.systemctl('is-enabled', service) === "enabled";
    } catch (err) {
      return false;
    }
  }

  isActive() {
    return this.systemctl('is-active', this.currentService) === "active";
  }

  start() {
    this.systemctl('start', this.currentService);
    console.log('HTTP OS service is started');
  }

  stop() {
    this.systemctl('stop', this.currentService);
    console.log('HTTP OS service is stopped');
  }
}

exports.service = new HttpService();