const log4js = require("log4js");

class Logger {

  constructor() {
    this.configuration = {categories: {
      default: { appenders: ['out'], level:'all'}
    }, appenders: {out: { type: 'stdout' }}};
  }
  configure(rgds) {
    this.configuration.appenders[rgds] = {
      type: 'file',
      filename: `duplication-${rgds}-${new Date().toString()}.log`
    };

    this.configuration.categories[rgds] = {
      appenders: [rgds],
      level: 'all'
    };

    log4js.configure(this.configuration);
    return log4js.getLogger(rgds);
  }

  shutdown(callback) {
    log4js.shutdown(callback);
  }
}


exports.logger = new Logger();