const { source } = require('./conf');
const { db } = require('./mysql-connector');
const inquirer = require('inquirer');


const getRGDS = async () => {
  let options = {
    multipleStatements: true,
    host: source.database.mysqlHost,
    user: source.database.mysqlUser,
    password: source.database.mysqlPassword,
    port: source.database.mysqlPort || 3306,
    database: source.database.defaultDb,
    ssl: source.database.mysqlSSL
  };

  await db.connect(options);
  const rgds = await db.query('SHOW DATABASES;');
  await db.end();

  return rgds.filter(db => db.Database.includes('rgds')).map(db => db.Database);
}

exports.getRGDS = getRGDS;


exports.selectRGDS = async () => {
  const rgds = await getRGDS();
    const select = await inquirer.prompt([
      {
        type: 'checkbox',
        name: 'RGDS',
        message: 'Select RGDS to duplicate',
        choices: rgds,
      }
    ]);
    return select.RGDS;
}